<?php 
namespace Concrete\Package\AddonLister\Block\AddonsList;
defined('C5_EXECUTE') or die("Access Denied.");

/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Core\Block\BlockController;

class Controller extends BlockController
{

	protected $btTable 								= "btAddonsList";
	protected $btInterfaceWidth 					= "420";
	protected $btInterfaceHeight 					= "290";
	protected $btCacheBlockOutput 					= true;
	protected $btCacheBlockOutputOnPost 			= true;
	protected $btCacheBlockOutputForRegisteredUsers = true;
	protected $btDefaultSet 						= 'social';

	public function getBlockTypeDescription()
	{
		return t("Create a list of installed packages with their icons");
	}

	public function getBlockTypeName()
	{
		return t("Addons List");
	}

	public function save($args)
	{
		$boolKeys = array( 'showIcons', 'showNames', 'linkToMarketplace' );
		foreach ( $boolKeys as $key )
		{
			if ( !isset( $args[$key] ) ) $args[$key] = 0;
		}

		parent::save($args);
	}
}

// vim: set noexpandtab ts=4 :
